package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @date 2023-03-20
 */
public class SetRealNameBySmsCodeDTO extends SetRealNameDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "手机号")
    private String phone;

    @Schema(description = "短信验证码")
    private String smsCode;

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSmsCode() {
        return smsCode;
    }

    public void setSmsCode(String smsCode) {
        this.smsCode = smsCode;
    }

    @Override
    public String toString() {
        return "SetRealNameBySmsCodeDTO{" +
                "phone='" + phone + '\'' +
                ", smsCode='" + smsCode + '\'' +
                '}';
    }
}
